lp:~brightbox/brightbox/deb-gem2deb

Created by John Leach on 2011-05-24 and last modified on 2011-05-24
Get this branch:
bzr branch lp:~brightbox/brightbox/deb-gem2deb

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Brightbox
Project:
Brightbox Projects
Status:
Development

Import details

Import Status: Reviewed

This branch is an import of the HEAD branch of the Git repository at git://github.com/johnl/deb-gem2deb.git.

The next import is scheduled to run in 2 hours.

Last successful import was 3 hours ago.

Import started 3 hours ago on alnitak and finished 3 hours ago taking 15 seconds — see the log
Import started 9 hours ago on alnitak and finished 9 hours ago taking 15 seconds — see the log
Import started 15 hours ago on alnitak and finished 15 hours ago taking 15 seconds — see the log
Import started 22 hours ago on alnitak and finished 22 hours ago taking 15 seconds — see the log
Import started on 2019-08-23 on alnitak and finished on 2019-08-23 taking 15 seconds — see the log
Import started on 2019-08-23 on alnitak and finished on 2019-08-23 taking 15 seconds — see the log
Import started on 2019-08-22 on alnitak and finished on 2019-08-22 taking 15 seconds — see the log
Import started on 2019-08-22 on alnitak and finished on 2019-08-22 taking 15 seconds — see the log
Import started on 2019-08-22 on alnitak and finished on 2019-08-22 taking 15 seconds — see the log
Import started on 2019-08-21 on alnitak and finished on 2019-08-21 taking 15 seconds — see the log

Recent revisions

180. By Antonio Terceiro on 2011-05-11

Preparing upload of version 2.3

179. By Antonio Terceiro on 2011-05-11

Bump standards-version to 3.9.2

178. By Antonio Terceiro on 2011-05-09

Also support debian/ruby-tests.rake

This should all be documented in some point of the future. :-/

177. By Antonio Terceiro on 2011-05-09

Correct handling of shebangs

If the package supports all Ruby versions, use /usr/bin/ruby. Otherwise,
use the first version in XS-Ruby-Versions.

176. By Antonio Terceiro on 2011-05-09

Depend on ruby | ruby-interpreter by default

This way the choice of default Ruby implementation is delegated to the
'ruby' package

175. By Antonio Terceiro on 2011-05-09

Extract method to read the supported Ruby versions

Add tests

174. By Vincent Fourmond on 2011-05-02

Moving away the Ruby policy to its own package

173. By Lucas Nussbaum on 2011-04-29

Merge branch 'master' of github.com:ln/gem2deb

172. By Vincent Fourmond on 2011-04-26

First draft of the Ruby policy

171. By Vincent Fourmond on 2011-04-25

End of library policy

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
This branch contains Public information 
Everyone can see this information.